- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch#try-it)

Updates one or more fields in a student group.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to modify the requested student group or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if the student group does not exist or the user does not have access to the student group.
- `INVALID_ARGUMENT` if invalid fields are specified in the update mask or if no update mask is supplied.

### HTTP request

`PATCH https://classroom.googleapis.com/v1/courses/{courseId}/studentGroups/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `id` | `string` Required. Identifier of the student group. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask that identifies which fields on the student group to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields can be specified by teachers: - `title` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The endpoint preview version. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups#StudentGroup`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups#StudentGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.rosters`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).